Status: Rejected

Priority: Normal

Assignee: Nyall Dawson

Category: Projection Support

Affected QGIS version:3.6.2 Regression?: No

Operating System: OpenBSD Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:Yes Copied to github as #: 29935

Description

I've upgraded to proj 6.0.0 and since then 3.6.2 fails to load any WMS, messagebox shows:

CRITICAL    Couche non valide : WMS provider Impossible de calculer l'emprise

on stderr, theres a lot of:

ERROR 1: PROJ: proj_create: Error -9: unknown elliptical parameter name

ERROR 1: PROJ: proj_create: Error -9: unknown elliptical parameter name

ERROR 1: PROJ: proj_create_from_database: crs not found

ERROR 1: PROJ: proj_create: Error -9: unknown elliptical parameter name

ERROR 1: PROJ: proj_create: Error -9: unknown elliptical parameter name

it seems the only available proj is 900913, while the server advertises a bunch of EPSG projections.

i can open vector data but i only have "custom" projections.

of course i know proj6 is very new, but cmake machinery is fine building against proj 6, so if it's not supported at all and packagers should

stay at proj 5 for now, cmake should complain loudly :)

will try 3.6.3 & proj 6.1.0 but i doubt it'll help, iirc some work was happening in 3.8 for proj 6 support.

History

#1 - 2019-05-22 03:17 PM - landry Landry Breuil

Tried readding /usr/local/share/proj/epsg from an older version but that doesnt help.

#2 - 2019-05-22 11:28 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Rejected

This is a wontfix.The changes required for proj 6 are too intrusive to allow in 3.6 (or 3.4). Use master/3.8 if you need to build on proj 6.
#3 - 2019-05-23 08:22 AM - landry Landry Breuil

I was more or less expecting that, but then please dont ignore the issue and at least fix cmake plumbing so that it fails clearly and hard if proj6 is found.

That would have prevented me to upgrade proj on my OS.. because all the other consumers have been adapted to build fine with proj6, runtime-issues are

tracked/being fixed, but for QGIS it was all silent.
